MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Nitf::ImageSegmentMetadata Class Reference

container for Image Segment metadata More...

`#include <ImageSegmentMetadata.h>`

## Public Member Functions
| ImageSegmentMetadata ()
| ImageSegmentMetadata (const ImageSegmentMetadata &)
| ~ImageSegmentMetadata ()
ImageSegmentMetadata & | operator= (const ImageSegmentMetadata &)
LT_STATUS | setIID1 (const char *)
| sets the IID1 field More...
const char * | getIID1 () const
| gets the IID1 field More...
LT_STATUS | setIDATIM (const char *)
| sets the IDATIM field More...
const char * | getIDATIM () const
| gets the IDATIM field More...
LT_STATUS | setTGTID (const char *)
| sets the TGTID field More...
const char * | getTGTID () const
| gets the TGTID field More...
LT_STATUS | setIID2 (const char *)
| sets the IID2 field More...
const char * | getIID2 () const
| gets the IID2 field More...
LT_STATUS | setISORCE (const char *)
| sets the ISORCE field More...
const char * | getISORCE () const
| gets the ISORCE field More...
LT_STATUS | setNICOM (int count)
| sets the number of ICOM fields (NICOM) More...
LT_STATUS | setICOM (int index, const char *data)
| sets an ICOM field More...
int | getNICOM () const
| gets the number of ICOM fields More...
const char * | getICOM (int index) const
| gets an ICOM field More...

## Detailed Description

This class is a container for all the image segment-level metadata for an existing NITF file. It is used with the various NITF image manager, reader, and writer classes.

For details on the length, formatting, etc, of each field, consult the 2500C NITF specification.

Usage Notes:

- all "set" calls will make local copies of their strings
- caller is responsible for blank-padding of strings
- caller is repsonsible for checking proper formatting
- all strings are initialized to reasonable defaults (usually just blanks)

Definition at line 38 of file ImageSegmentMetadata.h.

## Constructor & Destructor Documentation

Nitf::ImageSegmentMetadata::ImageSegmentMetadata | ( | ) |  |

Nitf::ImageSegmentMetadata::ImageSegmentMetadata | ( | const ImageSegmentMetadata & | ) |  |

Nitf::ImageSegmentMetadata::~ImageSegmentMetadata | ( | ) |  |

## Member Function Documentation

const char* Nitf::ImageSegmentMetadata::getICOM | ( | int | index) |  | const

This function gets an ICOM field.

Parameters

  index | the index of the ICOM field to access

Returns
  the ICOM data string

const char* Nitf::ImageSegmentMetadata::getIDATIM | ( | ) |  | const

const char* Nitf::ImageSegmentMetadata::getIID1 | ( | ) |  | const

const char* Nitf::ImageSegmentMetadata::getIID2 | ( | ) |  | const

const char* Nitf::ImageSegmentMetadata::getISORCE | ( | ) |  | const

int Nitf::ImageSegmentMetadata::getNICOM | ( | ) |  | const

const char* Nitf::ImageSegmentMetadata::getTGTID | ( | ) |  | const

ImageSegmentMetadata& Nitf::ImageSegmentMetadata::operator= | ( | const ImageSegmentMetadata & | ) |  |

LT_STATUS Nitf::ImageSegmentMetadata::setICOM | ( | int | index,
|  | const char * | data
| ) |  |

This function sets an ICOM field.

Parameters

  index | the number of ICOM feild to record
  data | the data contents of the COM field

Returns
  success or failure status code

LT_STATUS Nitf::ImageSegmentMetadata::setIDATIM | ( | const char * | ) |  |

LT_STATUS Nitf::ImageSegmentMetadata::setIID1 | ( | const char * | ) |  |

LT_STATUS Nitf::ImageSegmentMetadata::setIID2 | ( | const char * | ) |  |

LT_STATUS Nitf::ImageSegmentMetadata::setISORCE | ( | const char * | ) |  |

LT_STATUS Nitf::ImageSegmentMetadata::setNICOM | ( | int | count) |  |

This function sets the number of ICOM fields.

Parameters

  count | the number of ICOM fields to add

Returns
  success or failure status code

LT_STATUS Nitf::ImageSegmentMetadata::setTGTID | ( | const char * | ) |  |

The documentation for this class was generated from the following file:

- ImageSegmentMetadata.h

LizardTech